#pragma once

#include "ReferenceCounter.h"
#include "Thread.h"

namespace Framework
{
    class Text;
    class Schrift;

    class MultiplChoiceDialog : public virtual ReferenceCounter
    {
    private:
        RCArray<Text>* entrys;
        Array<void*>* ids;

    public:
        DLLEXPORT MultiplChoiceDialog();
        DLLEXPORT ~MultiplChoiceDialog();
        //! Fügt eine Auswahlmöglichkeit hinzu
        DLLEXPORT void addChoice(const char* text, void* id);
        //! Zeigt den dialog an und wartet auf benutzereingabe
        DLLEXPORT void* anzeigen(Schrift* zSchrift);
    };
} // namespace Framework